#if !defined(AFX_PRPOBJPOLY_H__CDE45051_0F88_11D3_AD21_00C0F6B0E2D0__INCLUDED_)
#define AFX_PRPOBJPOLY_H__CDE45051_0F88_11D3_AD21_00C0F6B0E2D0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProObjPoly.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "ProObjPolySub.h"
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

/////////////////////////////////////////////////////////////////////////////
// CFCProObjPoly _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProObjPoly : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProObjPoly)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProObjPoly();
	~CFCProObjPoly();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProObjPoly)
	enum { IDD = IDD_PRO_POLY };
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDgGiBfLiDfO_xHqqkZx_ _xZkqqHx_iDiBiDjDiDgPiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
		//    _xZkqqHx_iClBiCmMiImKjChFiCmJjAlGjAkMiClDiCoKiCoJiDfCiBfLiDgIiCpAjFnCiPfHiClFiCmIiCkCiCmFiCkNiClOiClDiCkCiBeC_xHqqkZx_
	//}}AFX_DATA

CFCPROOBJPOLY

// _xZkqqHx_iDiGiBfLiDfFjFmPjAjE_xHqqkZx_.
protected:
	BOOL	m_bCanSetOpenPolyJoint;	// SetOpenPolyJoint_xZkqqHx_iKnGjAjEiCkKjHeMiMpIiCkJiBeI_xHqqkZx_

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_

	//{{AFX_VIRTUAL(CFCProObjPoly)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProObjPoly)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangePolCmbLinkMoveType();
	afx_msg void OnPolRdoOpenPolygon();
	afx_msg void OnPolRdoClosePolygon();
	afx_msg void OnPolRdoUnknownOpenPolygon();
	afx_msg void OnPolRdoBgnLinkHorz();
	afx_msg void OnPolRdoBgnLinkVert();
	afx_msg void OnPolRdoBgnLinkUnknown();
	afx_msg void OnPolRdoEndLinkHorz();
	afx_msg void OnPolRdoEndLinkVert();
	afx_msg void OnPolRdoEndLinkUnknown();
	afx_msg void OnPolRdoBgnLinkNone();
	afx_msg void OnPolRdoEndLinkNone();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PRPOBJPOLY_H__CDE45051_0F88_11D3_AD21_00C0F6B0E2D0__INCLUDED_)
